Package javax.help.plaf.basic

# Class BasicSearchCellRenderer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
javax.help.plaf.basic.BasicSearchCellRenderer

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `TreeCellRenderer`

public class BasicSearchCellRenderer extends JPanel implements TreeCellRenderer
Displays an search entry in a tree.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Color`
`backgroundNonSelectionColor`
Color to use for the background when the node is not selected.
`protected Color`
`backgroundSelectionColor`
Color to use for the background when a node is selected.
`protected Color`
`borderSelectionColor`
Color to use for the background when the node is not selected.
`protected javax.help.plaf.basic.BasicSearchCellRenderer.ValueJLabel`
`hits`
Hits
`protected Map`
`map`
Map to use for rendering included images.
`protected javax.help.plaf.basic.BasicSearchCellRenderer.ValueJLabel`
`quality`
Quality
`protected boolean`
`selected`
Is the value currently selected.
`protected Color`
`textNonSelectionColor`
Color to use for the foreground for non-selected nodes.
`protected Color`
`textSelectionColor`
Color to use for the foreground for selected nodes.
`protected JLabel`
`title`
Title

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`BasicSearchCellRenderer(Map map)`
Returns a new instance of BasicSearchCellRender.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundNonSelectionColor()`
Returns the background color to be used for unselected nodes.
`Color`
`getBackgroundSelectionColor()`
Returns the color to use for the background if the node is selected.
`Color`
`getBorderSelectionColor()`
Returns the the border color.
`Dimension`
`getPreferredSize()`
Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.
`Color`
`getTextNonSelectionColor()`
Returns the color the text is drawn with when the node is not selected.
`Color`
`getTextSelectionColor()`
Returns the color the text is drawn with when the node is selected.
`Component`
`getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)`
Configures the renderer based on the components passed in.
`void`
`paint(Graphics g)`
Paints the value.
`void`
`setBackground(Color color)`
Subclassed to only accept the color if it is not a ColorUIResource.
`void`
`setBackgroundNonSelectionColor(Color newColor)`
Sets the background color to be used for unselected nodes.
`void`
`setBackgroundSelectionColor(Color newColor)`
Sets the color to use for the background if the node is selected.
`void`
`setBorderSelectionColor(Color newColor)`
Sets the color to use for the border.
`void`
`setFont(Font font)`
Subclassed to only accept the font if it is not a FontUIResource.
`void`
`setTextNonSelectionColor(Color newColor)`
Sets the color the text is drawn with when the node is not selected.
`void`
`setTextSelectionColor(Color newColor)`
Sets the color the text is drawn with when the node is selected.

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### selected

protected boolean selected
Is the value currently selected.

### textSelectionColor

protected Color textSelectionColor
Color to use for the foreground for selected nodes.

### textNonSelectionColor

protected Color textNonSelectionColor
Color to use for the foreground for non-selected nodes.

### backgroundSelectionColor

protected Color backgroundSelectionColor
Color to use for the background when a node is selected.

### backgroundNonSelectionColor

protected Color backgroundNonSelectionColor
Color to use for the background when the node is not selected.

### borderSelectionColor

protected Color borderSelectionColor
Color to use for the background when the node is not selected.

### map

protected Map map
Map to use for rendering included images.

### hits

protected javax.help.plaf.basic.BasicSearchCellRenderer.ValueJLabel hits
Hits

### quality

protected javax.help.plaf.basic.BasicSearchCellRenderer.ValueJLabel quality
Quality

### title

protected JLabel title
Title

## Constructor Details

### BasicSearchCellRenderer

public BasicSearchCellRenderer(Map map)
Returns a new instance of BasicSearchCellRender. Left alignment is set. Icons and text color are determined from the UIManager.

## Method Details

### setTextSelectionColor

public void setTextSelectionColor(Color newColor)
Sets the color the text is drawn with when the node is selected.

### getTextSelectionColor

public Color getTextSelectionColor()
Returns the color the text is drawn with when the node is selected.

### setTextNonSelectionColor

public void setTextNonSelectionColor(Color newColor)
Sets the color the text is drawn with when the node is not selected.

### getTextNonSelectionColor

public Color getTextNonSelectionColor()
Returns the color the text is drawn with when the node is not selected.

### setBackgroundSelectionColor

public void setBackgroundSelectionColor(Color newColor)
Sets the color to use for the background if the node is selected.

### getBackgroundSelectionColor

public Color getBackgroundSelectionColor()
Returns the color to use for the background if the node is selected.

### setBackgroundNonSelectionColor

public void setBackgroundNonSelectionColor(Color newColor)
Sets the background color to be used for unselected nodes.

### getBackgroundNonSelectionColor

public Color getBackgroundNonSelectionColor()
Returns the background color to be used for unselected nodes.

### setBorderSelectionColor

public void setBorderSelectionColor(Color newColor)
Sets the color to use for the border.

### getBorderSelectionColor

public Color getBorderSelectionColor()
Returns the the border color.

### setFont

public void setFont(Font font)
Subclassed to only accept the font if it is not a FontUIResource.

Overrides:
  `setFont` in class `JComponent`

### setBackground

public void setBackground(Color color)
Subclassed to only accept the color if it is not a ColorUIResource.

Overrides:
  `setBackground` in class `JComponent`

### getTreeCellRendererComponent

public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)
Configures the renderer based on the components passed in. Sets the value from messaging value with toString(). The foreground color is set based on the selection and the icon is set based on on leaf and expanded.

Specified by:
  `getTreeCellRendererComponent` in interface `TreeCellRenderer`

### paint

public void paint(Graphics g)
Paints the value. The background is filled based on selected color.

Overrides:
  `paint` in class `JComponent`

### getPreferredSize

public Dimension getPreferredSize()
Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.

Overrides:
  `getPreferredSize` in class `JComponent`